vfio.hh File Reference
`#include <set>`
`#include <vector>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/core/iohandler.hh>`
`#include <mia/2d/vectorfield.hh>`
Include dependency graph for 2d/vfio.hh:

Go to the source code of this file.

## Data Structures

class | C2DIOVectorfield
| a class for the IO of 2D vector fields More...
struct | io_2dvf_type

## Typedefs

typedef TIOPlugin< io_2dvf_type > | C2DVFIOPlugin
| Base class for 2D vector field IO plugins.
typedef THandlerSingleton< TIOPluginHandler< C2DVFIOPlugin > > | C2DVFIOPluginHandler
| Handler for 2D vector field IO.

## Variables

template class EXPORT_2D | THandlerSingleton< TIOPluginHandler< C2DVFIOPlugin > >
template class EXPORT_2D | TIOPlugin< io_2dvf_type >
template class EXPORT_2D | TIOPluginHandler< C2DVFIOPlugin >
template class EXPORT_2D | TPlugin< io_2dvf_type, io_plugin_type >
template<>
const char *const | TPluginHandler< C2DVFIOPlugin >::m_help

## Typedef Documentation

## C2DVFIOPlugin

typedef TIOPlugin<io_2dvf_type> C2DVFIOPlugin

Base class for 2D vector field IO plugins.

Definition at line 69 of file 2d/vfio.hh.

## C2DVFIOPluginHandler

typedef THandlerSingleton<TIOPluginHandler<C2DVFIOPlugin> > C2DVFIOPluginHandler

Handler for 2D vector field IO.

Definition at line 79 of file 2d/vfio.hh.

## Variable Documentation

## THandlerSingleton< TIOPluginHandler< C2DVFIOPlugin > >

template class EXPORT_2D THandlerSingleton< TIOPluginHandler< C2DVFIOPlugin > >

extern

## TIOPlugin< io_2dvf_type >

template class EXPORT_2D TIOPlugin< io_2dvf_type >

extern

## TIOPluginHandler< C2DVFIOPlugin >

template class EXPORT_2D TIOPluginHandler< C2DVFIOPlugin >

extern

## TPlugin< io_2dvf_type, io_plugin_type >

template class EXPORT_2D TPlugin< io_2dvf_type, io_plugin_type >

extern

## TPluginHandler< C2DVFIOPlugin >::m_help

template<>

const char* const TPluginHandler< C2DVFIOPlugin >::m_help

Definition at line 71 of file 2d/vfio.hh.